attribute vec4 a_position;
attribute vec2 a_texCoords;
uniform vec2 u_resolution;
uniform float u_globalTime;
uniform float u_amplitude;
uniform float u_speed;
uniform float u_frequency;

varying vec2 v_texCoords;
varying vec2 v_resolution;
varying float v_globalTime;
varying float v_amplitude;
varying float v_speed;
varying float v_frequency;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    v_texCoords = a_texCoords;
    v_globalTime = u_globalTime;
    v_resolution = u_resolution;
    v_amplitude = u_amplitude;
    v_speed = u_speed;
    v_frequency = u_frequency;
}