attribute vec4 a_position;
attribute vec2 a_texCoords;
uniform vec2 u_lensPosition;
uniform float u_lensSize;
uniform float u_strength;

varying vec2 v_texCoords;
varying vec2 v_lensPosition;
varying float v_strength;
varying float v_lensSize;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    v_texCoords = a_texCoords;
    v_strength = u_strength;
    v_lensPosition = u_lensPosition;
    v_lensSize = u_lensSize;
}