#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec4 v_ttfData;

uniform sampler2D CC_Texture0;

void main() {
	float distance = texture2D(CC_Texture0, v_texCoord).a;
    float alpha = smoothstep(0.5 - v_ttfData[0], 0.5 + v_ttfData[0], distance) * v_fragmentColor.a;

    gl_FragColor = vec4(v_fragmentColor.rgb,alpha);
}

