attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;
attribute vec4 a_ttfData;

#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;
varying mediump vec4 v_ttfData;
varying mediump vec2 v_offsetCoord;

#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec4 v_ttfData;
varying vec2 v_offsetCoord;
#endif

void main() {
	gl_Position = CC_MVPMatrix * a_position;
	v_fragmentColor = a_color;
	v_texCoord = a_texCoord;
	v_ttfData = a_ttfData;
	v_offsetCoord = v_texCoord + vec2(v_ttfData[2], v_ttfData[3]);
}