#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec4 v_ttfData;

uniform sampler2D CC_Texture0;

uniform float u_grayContrast;

void main() {
	float distance = texture2D(CC_Texture0, v_texCoord).a;
    float alpha = smoothstep(0.5 - v_ttfData[0], 0.5 + v_ttfData[0], distance) * v_fragmentColor.a;
    float gray = ((0.2 * v_fragmentColor.r) + (0.7 * v_fragmentColor.g) + (0.1 * v_fragmentColor.b)) * u_grayContrast;
    gl_FragColor = vec4(gray, gray, gray, alpha);
}

